<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
	"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.xunhong.erp.turbo.user.infrastructure.mapper.AdminMapper">
	<resultMap id="BaseResultMap"
			   type="com.xunhong.erp.turbo.user.infrastructure.entity.AdminDO">
		<id column="admin_id" property="adminId" jdbcType="BIGINT"/>
		<result column="name" property="name" jdbcType="VARCHAR"/>
		<result column="user_id" property="userId" jdbcType="BIGINT"/>
		<result column="type" property="type" jdbcType="INTEGER"/>
		<result property="createdAt" column="created_at"/>
		<result property="updatedAt" column="updated_at"/>
		<result property="isDelete" column="is_delete"/>
		<result property="version" column="version"/>
	</resultMap>
</mapper>
